Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
lock attach
Attachments are accessible only for community members.
lking
Moderator
Moderator
Moderator
50 sign-ins 10 likes received 10 replies posted

I am trying to create a picovoice project for my board CY8CKIT-062S2-43012, but project-creator fails with and error 

ERROR: Commit/tag/branch "v2.1.2" does not exist.

The branch does exist, I can go into the picovoice directory and type `git checkout v2.1.2` and it has no issues. Looking on github the branch is certainly there.

I am using ModusToolbox 2.4.0 build 2460 in an Ubuntu 20.04 system. I have attached the log file.

 

Two unrelated questions:

1) why are there so many steps to install ModusToolbox on Linux. Why is it not simply `sudo apt install ModusToolbox` like everything else in Ubuntu?

2)  .log and .txt are very common file extensions, why can I not drag and drop a log file to attach it to this question. I had to change the file type to .doc .

0 Likes
1 Solution
Qi_Colin
Moderator
Moderator
Moderator
50 likes received 100 solutions authored 5 questions asked

Hi @lking :

For this issue, it seems caused after "picovoice-lib-psoc6" version update, and it may fix in the further update.

Currently,  I suggest you to Import Application again after failing to create the project. 

The project is located in the default folder.

Qi_Colin_0-1658481064153.png

 

Then, modify the link in deps->picovoice-lib-psoc6.mtb(change 2.1.2 to 2.1.1).

Qi_Colin_1-1658481063361.png

 

After that, you can run "make getlibs" command in the terminal to import the libs.

Best Regard,

Colin

View solution in original post

0 Likes
3 Replies
lking
Moderator
Moderator
Moderator
50 sign-ins 10 likes received 10 replies posted

I get the same failure when I try using project creator to build PicoVoice on Win10 version of ModusToolbox.

0 Likes
Qi_Colin
Moderator
Moderator
Moderator
50 likes received 100 solutions authored 5 questions asked

Hi @lking :

Thank you for your information, we will check it and feedback to you ASAP.

Best Regard,

Colin

0 Likes
Qi_Colin
Moderator
Moderator
Moderator
50 likes received 100 solutions authored 5 questions asked

Hi @lking :

For this issue, it seems caused after "picovoice-lib-psoc6" version update, and it may fix in the further update.

Currently,  I suggest you to Import Application again after failing to create the project. 

The project is located in the default folder.

Qi_Colin_0-1658481064153.png

 

Then, modify the link in deps->picovoice-lib-psoc6.mtb(change 2.1.2 to 2.1.1).

Qi_Colin_1-1658481063361.png

 

After that, you can run "make getlibs" command in the terminal to import the libs.

Best Regard,

Colin

0 Likes